<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC
@author:        juan.agudelo
@version        2.0
@cu             CU-CO-V-03

    Pantalla que permite mostrar la información de cancelación e inscripcion 
    en el modulo correspondiente a detalle del avaluo
    

   
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1"
             cellspacing="13" id="tablaDatosConstruccionesAvaluoId" width="100%">

    <p:dataTable
        value="#{infoCancelacionInscripcion.tablaDatosConstrucciones}"
        id="tablaDatosC" var="construcciones"
        emptyMessage="No existe información de las construcciones para el predio inicial"
        rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}">

        <f:facet name="header">  
            Datos predio inicial
        </f:facet>

        <p:column headerText="Tipo de construcciones">
            <p:graphicImage value="#{construcciones[4]}" height="13" width="13" />
            <h:outputText value="#{construcciones[0]}" />
        </p:column>

        <p:column headerText="Cantidad">
            <h:outputText value="#{construcciones[1]}" />
        </p:column>

        <p:column headerText="Área total">
            <h:outputText value="#{construcciones[2]}" />
        </p:column>

        <p:column headerText="Avalúo">
            <h:outputText value="#{construcciones[3]}" />
        </p:column>

    </p:dataTable>

    <p:outputPanel layout="block" style="text-align: right">
        <p:commandButton label="Ver más detalles" value="Ver más detalles"
                         oncomplete="detalleAvaluoWV.show()" icon="ui-icon ui-icon-search"
                         update=":detalleAvaluoForm"
                         immediate="true"
                         action="#{infoCancelacionInscripcion.detalleAvaluo}"
                         rendered="#{not empty infoCancelacionInscripcion.predioInicialSeleccionado}">
        </p:commandButton>

        <p:spacer height="0" width="13" />
    </p:outputPanel>

    <p:dataTable
        value="#{infoCancelacionInscripcion.tablaDatosConstruccionesP}"
        id="tablaDatosCP" var="construccionesP"
        emptyMessage="No existe información de las construcciones para el predio proyectado"
        rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">

        <f:facet name="header">  
            Datos predio proyectado
        </f:facet>

        <p:column headerText="Tipo de construcciones">
            <p:graphicImage value="#{construccionesP[4]}" height="13" width="13" />
            <h:outputText value="#{construccionesP[0]}" />
        </p:column>

        <p:column headerText="Cantidad">
            <h:outputText value="#{construccionesP[1]}" />
        </p:column>

        <p:column headerText="Área total">
            <h:outputText value="#{construccionesP[2]}" />
        </p:column>

        <p:column headerText="Avalúo">
            <h:outputText value="#{construccionesP[3]}">
                <f:convertNumber pattern="#0.00"/>
            </h:outputText>
        </p:column>

    </p:dataTable>

    <p:outputPanel layout="block" style="text-align: right">

        <p:commandButton label="Ver más detalles" value="Ver más detalles"
                         oncomplete="detalleAvaluoWV.show();" icon="ui-icon ui-icon-search"
                         update=":detalleAvaluoForm"
                         immediate="true"
                         action="#{infoCancelacionInscripcion.cargarDetalleAvaluoP}"
                         rendered="#{not empty infoCancelacionInscripcion.predioFinalSeleccionado}">
        </p:commandButton>

        <p:spacer height="0" width="13" />
    </p:outputPanel>

</h:panelGrid>